<?php
// $this->isMaster          = $this->environment()->getClient()->isMaster();
// $budgetGBCPEnabled = $this->module()->getClientModuleConfiguration('budget', 'gbcp');
?>

	<ul class="breadcrumb">
		<li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
		<li><?= $this->translate('analysis_module_title') ?></li>
		<li class="active"><?= $this->translate('analysis_budget_module_title') ?></li>
	</ul>

	<h1 class="page-title">
		<?= $this->icon('analysis') ?> <?= $this->translate('analysis_budget_module_title') ?>
	</h1>

	<div class="row row-padding">
		<div class="col-xs-12">
			<ul class="nav nav-tabs">
				<li class="active">
					<a href="#expenses" data-toggle="tab" ng-click="tabExpenseLoaded = tabExpenseLoaded + 1">
						<?= ucfirst($this->translate('expense_entities')) ?>
					</a>
				</li>

				<li>
					<a href="#incomes" data-toggle="tab" ng-click="tabIncomeLoaded = tabIncomeLoaded + 1">
						<?= ucfirst($this->translate('income_entities')) ?>
					</a>
				</li>

				<li>
					<a href="#subventions" data-toggle="tab" ng-click="tabSubventionLoaded = tabSubventionLoaded + 1">
						<?= ucfirst($this->translate('subventions_entities')) ?>
					</a>
				</li>

				<?php if ($this->gbcp): ?>
					<li>
						<a href="#gbcp" data-toggle="tab" ng-click="tabGBCPLoaded = tabGBCPLoaded + 1">
							<?= ucfirst($this->translate('analysis_budget_gbcp')) ?>
						</a>
					</li>
				<?php endif ?>

				<li>
					<a href="#financers" data-toggle="tab" ng-click="tabFinancerLoaded = tabFinancerLoaded + 1">
						<?= ucfirst($this->translate('analysis_budget_financers')) ?>
					</a>
				</li>

				<?php if ($this->module()->isActive('keyword') && !$this->isMaster) : ?>
					<li>
						<a href="#keywords" data-toggle="tab" ng-click="tabKeywordsLoaded = tabKeywordsLoaded + 1">
							<?= ucfirst($this->translate('analysis_budget_keywords')) ?>
						</a>
					</li>
				<?php endif; ?>

				<li>
					<a href="#year" data-toggle="tab" ng-click="tabYearLoaded = tabYearLoaded + 1">
						<?= ucfirst($this->translate('analysis_budget_year')) ?>
					</a>
				</li>
			</ul>
			<div class="panel">
				<div class="panel-body" ng-controller="budgetController as self" ng-init="self.init(<?= $this->isMaster ? 'true' : 'false' ?>)">
					<div class="tab-content">
						<div class="tab-pane active" id="expenses">
							<?= $this->partial(
								'analysis/budget/partial/expense.phtml',
								[
									'isSubvention'         => false,
									'isMaster'             => $this->isMaster,
									'ht'                   => $this->ht,
									'expenseTypes'         => $this->expenseTypes,
									'posteExpenseBalances' => $this->posteExpenseBalances,
									'projectGroups'        => $this->projectGroups,
									'customExportsExcel'   => $this->customExportsExcel,
								]
							) ?>
						</div>

						<div class="tab-pane" id="incomes" ng-if="tabIncomeLoaded > 0">
							<?= $this->partial(
								'analysis/budget/partial/income.phtml',
								[
									'isMaster'            => $this->isMaster,
									'ht'                  => $this->ht,
									'incomeTypes'         => $this->incomeTypes,
									'posteIncomeBalances' => $this->posteIncomeBalances,
									'projectGroups'       => $this->projectGroups,
									'customExportsExcel'  => $this->customExportsExcel,
								]
							) ?>
						</div>

						<div class="tab-pane" id="subventions" ng-if="tabSubventionLoaded > 0">
							<?= $this->partial(
								'analysis/budget/partial/expense.phtml',
								[
									'isSubvention'         => true,
									'isMaster'             => $this->isMaster,
									'ht'                   => $this->ht,
									'expenseTypes'         => $this->expenseTypes,
									'posteExpenseBalances' => $this->posteExpenseBalances,
									'projectGroups'        => $this->projectGroups,
									'customExportsExcel'   => $this->customExportsExcel,
								]
							) ?>
						</div>

						<?php if ($this->gbcp): ?>
							<div class="tab-pane" id="gbcp" ng-if="tabGBCPLoaded > 0">
								<?= $this->partial(
									'analysis/budget/partial/gbcp.phtml',
									[
										'ht'           => $this->ht,
										'expenseTypes' => $this->expenseTypes,
										'incomeTypes'  => $this->incomeTypes,
									]
								) ?>
							</div>
						<?php endif ?>

						<div class="tab-pane" id="financers" ng-if="tabFinancerLoaded > 0">
							<?= $this->partial('analysis/budget/partial/financer.phtml') ?>
						</div>

						<?php if ($this->module()->isActive('keyword') && !$this->isMaster) : ?>
							<div class="tab-pane" id="keywords" ng-if="tabKeywordsLoaded > 0">
								<?= $this->partial('analysis/budget/partial/keywords.phtml') ?>
							</div>
						<?php endif; ?>

						<div class="tab-pane" id="year" ng-if="tabYearLoaded > 0">
							<?= $this->partial('analysis/budget/partial/year.phtml') ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

<?php
$this->angular('js/src/analysis/controller/budget.js');
$this->angular('js/src/analysis/controller/projectFilter.js');

$this->angular('js/src/application/query/service/query.js');

$this->angular('js/src/user/directive/userSelect.js');
$this->angular('js/src/user/service/user.js');

$this->angular('js/src/project/directive/projectSelect.js');
$this->angular('js/src/project/service/project.js');

$this->angular('js/src/directory/directive/structureSelect.js');
$this->angular('js/src/directory/service/structure.js');

$this->angular('js/src/map/directive/territorySelect.js');
$this->angular('js/src/map/service/territory.js');

$this->angular('js/src/keyword/service/keyword.js');
$this->angular('js/src/keyword/service/group.js');
$this->angular('js/src/keyword/directive/keywordSelect.js');
$this->angular('js/src/keyword/directive/groupSelect.js');

$this->angular('js/src/directory/directive/contactSelect.js');
$this->angular('js/src/directory/service/contact.js');

$this->angular('js/src/directory/directive/jobSelect.js');
$this->angular('js/src/directory/service/job.js');

$this->angular('js/src/budget/directive/accountSelect.js');
$this->angular('js/src/budget/directive/budgetStatusSelect.js');
$this->angular('js/src/budget/directive/envelopeSelect.js');
$this->angular('js/src/budget/directive/managementUnitSelect.js');
$this->angular('js/src/budget/service/budgetStatus.js');
$this->angular('js/src/budget/service/account.js');
$this->angular('js/src/budget/service/envelope.js');
$this->angular('js/src/budget/service/managementUnit.js');

$this->angular('js/src/budget/directive/natureSelect.js');
$this->angular('js/src/budget/directive/organizationSelect.js');
$this->angular('js/src/budget/directive/destinationSelect.js');
$this->angular('js/src/budget/service/nature.js');
$this->angular('js/src/budget/service/organization.js');
$this->angular('js/src/budget/service/destination.js');

$this->angular('js/src/project/directive/templateSelect.js');
$this->angular('js/src/project/service/template.js');

$this->angular('js/src/analysis/controller/budget/expense.factory.js');
$this->angular('js/src/analysis/controller/budget/subvention.js');
$this->angular('js/src/analysis/controller/budget/expense.js');
$this->angular('js/src/analysis/controller/budget/income.js');
$this->angular('js/src/analysis/controller/budget/gbcp.js');
$this->angular('js/src/analysis/controller/budget/financer.js');
$this->angular('js/src/analysis/controller/budget/keywords.js');
$this->angular('js/src/analysis/controller/budget/year.js');

